# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.awt
import typing


class Command:
    """
    Const

    these values specify the different command types available.

    See Also:
        `API Command <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1awt_1_1Command.html>`_
    """
    CONTEXTMENU: int = ...
    """
    specifies a requests for a context menu.
    """
    STARTDRAG: int = ...
    """
    specifies the beginning of a drag operation.
    """
    WHEEL: int = ...
    """
    specifies a mouse wheel operation.
    """
    STARTAUTOSCROLL: int = ...
    """
    specifies the beginning of an auto scroll operation.
    """
    AUTOSCROLL: int = ...
    """
    specifies an auto scroll operation.
    """
    VOICE: int = ...
    """
    specifies a request for a voice operation.
    """
    STARTEXTTEXTINPUT: int = ...
    """
    specifies the beginning of an extended text input operation.
    """
    EXTTEXTINPUT: int = ...
    """
    specifies an extended text input operation.
    """
    ENDEXTTEXTINPUT: int = ...
    """
    specifies the end of an extended text input operation.
    """
    INPUTCONTEXTCHANGE: int = ...
    """
    specifies that the input context has been changed.
    """
    CURSORPOS: int = ...
    """
    specifies the cursor position.
    """
    PASTESELECTION: int = ...
    """
    specifies a paste selection command.
    """
    MODKEYCHANGE: int = ...
    """
    specifies that the state of a key modifier has changed.
    """
    HANGUL_HANJA_CONVERSION: int = ...
    """
    specifies a Hangul hanja conversion command.
    """
    USER: int = ...
    """
    specifies a user-defined command.
    """

