# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.awt
import typing


class FontUnderline:
    """
    Const

    These values are used to specify the kind of underlining.
    
    They may be expanded in future versions.

    See Also:
        `API FontUnderline <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1awt_1_1FontUnderline.html>`_
    """
    NONE: int = ...
    """
    specifies no underlining.
    """
    SINGLE: int = ...
    """
    specifies underlining with a single line.
    """
    DOUBLE: int = ...
    """
    specifies underlining with a double line.
    """
    DOTTED: int = ...
    """
    specifies underlining with a dotted line.
    """
    DONTKNOW: int = ...
    """
    The kind of underlining is not known.
    """
    DASH: int = ...
    """
    specifies underlining with a dashed line.
    """
    LONGDASH: int = ...
    """
    specifies underlining with long dashes.
    """
    DASHDOT: int = ...
    """
    specifies underlining with a dash and dot sequence.
    """
    DASHDOTDOT: int = ...
    """
    specifies underlining with a dash, dot, dot sequence.
    """
    SMALLWAVE: int = ...
    """
    specifies underlining with a small wave.
    """
    WAVE: int = ...
    """
    specifies underlining with a wave.
    """
    DOUBLEWAVE: int = ...
    """
    specifies underlining with a double wave.
    """
    BOLD: int = ...
    """
    specifies underlining with a bold line.
    """
    BOLDDOTTED: int = ...
    """
    specifies underlining with bold dots.
    """
    BOLDDASH: int = ...
    """
    specifies underlining with bold dashes.
    """
    BOLDLONGDASH: int = ...
    """
    specifies underlining with long bold dashes.
    """
    BOLDDASHDOT: int = ...
    """
    specifies underlining with a dash and dot sequence in bold.
    """
    BOLDDASHDOTDOT: int = ...
    """
    specifies underlining with a dash, dot, dot sequence in bold.
    """
    BOLDWAVE: int = ...
    """
    specifies underlining with a bold wave.
    """

