# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.awt
import typing


class Key:
    """
    Const

    These values are used to specify distinct physical keys, plus some special values used by the macOS implementation.
    
    **since**
    
        LibreOffice 4.3

    See Also:
        `API Key <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1awt_1_1Key.html>`_
    """
    NUM0: int = ...
    NUM1: int = ...
    NUM2: int = ...
    NUM3: int = ...
    NUM4: int = ...
    NUM5: int = ...
    NUM6: int = ...
    NUM7: int = ...
    NUM8: int = ...
    NUM9: int = ...
    A: int = ...
    B: int = ...
    C: int = ...
    D: int = ...
    E: int = ...
    F: int = ...
    G: int = ...
    H: int = ...
    I: int = ...
    J: int = ...
    K: int = ...
    L: int = ...
    M: int = ...
    N: int = ...
    O: int = ...
    P: int = ...
    Q: int = ...
    R: int = ...
    S: int = ...
    T: int = ...
    U: int = ...
    V: int = ...
    W: int = ...
    X: int = ...
    Y: int = ...
    Z: int = ...
    F1: int = ...
    F2: int = ...
    F3: int = ...
    F4: int = ...
    F5: int = ...
    F6: int = ...
    F7: int = ...
    F8: int = ...
    F9: int = ...
    F10: int = ...
    F11: int = ...
    F12: int = ...
    F13: int = ...
    F14: int = ...
    F15: int = ...
    F16: int = ...
    F17: int = ...
    F18: int = ...
    F19: int = ...
    F20: int = ...
    F21: int = ...
    F22: int = ...
    F23: int = ...
    F24: int = ...
    F25: int = ...
    F26: int = ...
    DOWN: int = ...
    UP: int = ...
    LEFT: int = ...
    RIGHT: int = ...
    HOME: int = ...
    END: int = ...
    PAGEUP: int = ...
    PAGEDOWN: int = ...
    RETURN: int = ...
    ESCAPE: int = ...
    TAB: int = ...
    BACKSPACE: int = ...
    SPACE: int = ...
    INSERT: int = ...
    DELETE: int = ...
    ADD: int = ...
    SUBTRACT: int = ...
    MULTIPLY: int = ...
    DIVIDE: int = ...
    POINT: int = ...
    COMMA: int = ...
    LESS: int = ...
    GREATER: int = ...
    EQUAL: int = ...
    OPEN: int = ...
    CUT: int = ...
    COPY: int = ...
    PASTE: int = ...
    UNDO: int = ...
    REPEAT: int = ...
    FIND: int = ...
    PROPERTIES: int = ...
    FRONT: int = ...
    CONTEXTMENU: int = ...
    HELP: int = ...
    MENU: int = ...
    HANGUL_HANJA: int = ...
    DECIMAL: int = ...
    TILDE: int = ...
    QUOTELEFT: int = ...
    CAPSLOCK: int = ...
    NUMLOCK: int = ...
    SCROLLLOCK: int = ...
    DELETE_TO_BEGIN_OF_LINE: int = ...
    DELETE_TO_END_OF_LINE: int = ...
    DELETE_TO_BEGIN_OF_PARAGRAPH: int = ...
    BRACKETLEFT: int = ...
    BRACKETRIGHT: int = ...
    SEMICOLON: int = ...
    QUOTERIGHT: int = ...
    DELETE_TO_END_OF_PARAGRAPH: int = ...
    """
    The following values don't correspond to physical keys on any keyboard but are used in the macOS implementation of VCL.
    
    They correspond to some of the action messages of the NSResponder abstract class.
    """
    DELETE_WORD_BACKWARD: int = ...
    DELETE_WORD_FORWARD: int = ...
    INSERT_LINEBREAK: int = ...
    INSERT_PARAGRAPH: int = ...
    MOVE_WORD_BACKWARD: int = ...
    MOVE_WORD_FORWARD: int = ...
    MOVE_TO_BEGIN_OF_LINE: int = ...
    MOVE_TO_END_OF_LINE: int = ...
    MOVE_TO_BEGIN_OF_PARAGRAPH: int = ...
    MOVE_TO_END_OF_PARAGRAPH: int = ...
    SELECT_BACKWARD: int = ...
    SELECT_FORWARD: int = ...
    SELECT_WORD_BACKWARD: int = ...
    SELECT_WORD_FORWARD: int = ...
    SELECT_WORD: int = ...
    SELECT_LINE: int = ...
    SELECT_PARAGRAPH: int = ...
    SELECT_ALL: int = ...
    SELECT_TO_BEGIN_OF_LINE: int = ...
    SELECT_TO_END_OF_LINE: int = ...
    MOVE_TO_BEGIN_OF_DOCUMENT: int = ...
    MOVE_TO_END_OF_DOCUMENT: int = ...
    SELECT_TO_BEGIN_OF_DOCUMENT: int = ...
    SELECT_TO_END_OF_DOCUMENT: int = ...
    SELECT_TO_BEGIN_OF_PARAGRAPH: int = ...
    SELECT_TO_END_OF_PARAGRAPH: int = ...

