# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.awt
import typing


class SystemPointer:
    """
    Const

    specifies the shape of a mouse pointer.

    See Also:
        `API SystemPointer <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1awt_1_1SystemPointer.html>`_
    """
    ARROW: int = ...
    """
    specifies the normal arrow-like mouse pointer.
    """
    INVISIBLE: int = ...
    """
    specifies an invisible mouse pointer.
    """
    WAIT: int = ...
    """
    specifies a waiting symbol as a mouse pointer (for example hourglass).
    """
    TEXT: int = ...
    """
    specifies a mouse pointer for text (cursor-like).
    """
    HELP: int = ...
    """
    specifies a mouse pointer for on-line help.
    """
    CROSS: int = ...
    """
    specifies a cross as a mouse pointer.
    """
    MOVE: int = ...
    """
    specifies a mouse pointer which symbolizes movement.
    """
    NSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for a top border.
    """
    SSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for a bottom border.
    """
    WSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for a left border.
    """
    ESIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for a right border.
    """
    NWSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for the top-left corner.
    """
    NESIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for the top-right corner.
    """
    SWSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for the bottom-left corner.
    """
    SESIZE: int = ...
    """
    specifies a mouse pointer which symbolizes resizing for the bottom-right corner.
    """
    WINDOW_NSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for a top border.
    """
    WINDOW_SSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for a bottom border.
    """
    WINDOW_WSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for a left border.
    """
    WINDOW_ESIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for a right border.
    """
    WINDOW_NWSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for the top-left corner.
    """
    WINDOW_NESIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for the top-right corner.
    """
    WINDOW_SWSIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for the bottom-left corner.
    """
    WINDOW_SESIZE: int = ...
    """
    specifies a mouse pointer which symbolizes window resizing for the bottom-right corner.
    """
    HSPLIT: int = ...
    """
    specifies a mouse pointer which symbolizes horizontal splitting.
    """
    VSPLIT: int = ...
    """
    specifies a mouse pointer which symbolizes vertical splitting.
    """
    HSIZEBAR: int = ...
    """
    specifies a mouse pointer which symbolizes horizontal resizing.
    """
    VSIZEBAR: int = ...
    """
    specifies a mouse pointer which symbolizes vertical resizing.
    """
    HAND: int = ...
    """
    specifies a hand symbol as mouse pointer.
    """
    REFHAND: int = ...
    """
    specifies a pointing hand symbol as mouse pointer.
    """
    PEN: int = ...
    """
    specifies a pen symbol as mouse pointer.
    """
    MAGNIFY: int = ...
    """
    specifies a magnify symbol as mouse pointer.
    """
    FILL: int = ...
    """
    specifies a fill symbol as mouse pointer.
    """
    ROTATE: int = ...
    """
    specifies a rotate symbol as mouse pointer.
    """
    HSHEAR: int = ...
    """
    specifies a horizontal shear symbol as mouse pointer.
    """
    VSHEAR: int = ...
    """
    specifies a vertical shear symbol as mouse pointer.
    """
    MIRROR: int = ...
    """
    specifies a mirror symbol as mouse pointer.
    """
    CROOK: int = ...
    """
    specifies a crook symbol as mouse pointer.
    """
    CROP: int = ...
    """
    specifies a crop symbol as mouse pointer.
    """
    MOVEPOINT: int = ...
    """
    specifies a mouse pointer which symbolizes moving a point.
    """
    MOVEBEZIERWEIGHT: int = ...
    """
    specifies a mouse pointer which symbolizes moving a Bezier weight.
    """
    MOVEDATA: int = ...
    """
    specifies a mouse pointer which symbolizes moving data.
    """
    COPYDATA: int = ...
    """
    specifies a mouse pointer which symbolizes copying data.
    """
    LINKDATA: int = ...
    """
    specifies a mouse pointer which symbolizes linking data.
    """
    MOVEDATALINK: int = ...
    """
    specifies a mouse pointer which symbolizes moving a data link.
    """
    COPYDATALINK: int = ...
    """
    specifies a mouse pointer which symbolizes copying a data link.
    """
    MOVEFILE: int = ...
    """
    specifies a mouse pointer which symbolizes moving a file.
    """
    COPYFILE: int = ...
    """
    specifies a mouse pointer which symbolizes copying a file.
    """
    LINKFILE: int = ...
    """
    specifies a mouse pointer which symbolizes linking a file.
    """
    MOVEFILELINK: int = ...
    """
    specifies a mouse pointer which symbolizes moving a file link.
    """
    COPYFILELINK: int = ...
    """
    specifies a mouse pointer which symbolizes copying a file link.
    """
    MOVEFILES: int = ...
    """
    specifies a mouse pointer which symbolizes moving multiple files.
    """
    COPYFILES: int = ...
    """
    specifies a mouse pointer which symbolizes copying multiple files.
    """
    NOTALLOWED: int = ...
    """
    specifies a mouse pointer which symbolizes \"not allowed\".
    """
    DRAW_LINE: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a line.
    """
    DRAW_RECT: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a rectangle.
    """
    DRAW_POLYGON: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a polygon.
    """
    DRAW_BEZIER: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a Bezier.
    """
    DRAW_ARC: int = ...
    """
    specifies a mouse pointer which symbolizes drawing an arc.
    """
    DRAW_PIE: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a pie.
    """
    DRAW_CIRCLECUT: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a circle cut.
    """
    DRAW_ELLIPSE: int = ...
    """
    specifies a mouse pointer which symbolizes drawing an ellipse.
    """
    DRAW_FREEHAND: int = ...
    """
    specifies a mouse pointer which symbolizes drawing free handed.
    """
    DRAW_CONNECT: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a connector.
    """
    DRAW_TEXT: int = ...
    """
    specifies a mouse pointer which symbolizes drawing text.
    """
    DRAW_CAPTION: int = ...
    """
    specifies a mouse pointer which symbolizes drawing a text caption.
    """
    CHART: int = ...
    """
    specifies a mouse pointer which symbolizes a chart.
    """
    DETECTIVE: int = ...
    """
    specifies a mouse pointer which symbolizes a detective.
    """
    PIVOT_COL: int = ...
    """
    specifies a mouse pointer which symbolizes a pivot column.
    """
    PIVOT_ROW: int = ...
    """
    specifies a mouse pointer which symbolizes a pivot row.
    """
    PIVOT_FIELD: int = ...
    """
    specifies a mouse pointer which symbolizes a pivot field.
    """
    CHAIN: int = ...
    """
    specifies a mouse pointer which symbolizes a chain.
    """
    CHAIN_NOTALLOWED: int = ...
    """
    specifies a mouse pointer which symbolizes \"chaining not allowed\".
    """

