# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.awt
import typing
from .uno_control_model import UnoControlModel as UnoControlModel_c8ce0c58
if typing.TYPE_CHECKING:
    from ..util.color import Color as Color_68e908c5

class UnoControlScrollBarModel(UnoControlModel_c8ce0c58):
    """
    Service Class

    specifies the standard model of a UnoControlScrollBar.
    
    **since**
    
        OOo 2.0

    See Also:
        `API UnoControlScrollBarModel <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1awt_1_1UnoControlScrollBarModel.html>`_
    """
    @property
    def BackgroundColor(self) -> 'Color_68e908c5':
        """
        specifies the RGB color to be used for the control.
        
        **since**
        
            OOo 2.0
        """
        ...
    @BackgroundColor.setter
    def BackgroundColor(self, value: 'Color_68e908c5') -> None:
        ...
    @property
    def BlockIncrement(self) -> int:
        """
        specifies the increment for a block move.
        """
        ...
    @BlockIncrement.setter
    def BlockIncrement(self, value: int) -> None:
        ...
    @property
    def Border(self) -> int:
        """
        specifies the border style of the control.
        """
        ...
    @Border.setter
    def Border(self, value: int) -> None:
        ...
    @property
    def BorderColor(self) -> int:
        """
        specifies the color of the border, if present
        
        Not every border style (see Border) may support coloring. For instance, usually a border with 3D effect will ignore the BorderColor setting.
        
        **since**
        
            OOo 2.0
        """
        ...
    @BorderColor.setter
    def BorderColor(self, value: int) -> None:
        ...
    @property
    def Enabled(self) -> bool:
        """
        determines whether the control is enabled or disabled.
        """
        ...
    @Enabled.setter
    def Enabled(self, value: bool) -> None:
        ...
    @property
    def HelpText(self) -> str:
        """
        specifies the help text of the control.
        """
        ...
    @HelpText.setter
    def HelpText(self, value: str) -> None:
        ...
    @property
    def HelpURL(self) -> str:
        """
        specifies the help URL of the control.
        """
        ...
    @HelpURL.setter
    def HelpURL(self, value: str) -> None:
        ...
    @property
    def LineIncrement(self) -> int:
        """
        specifies the increment for a single line move.
        """
        ...
    @LineIncrement.setter
    def LineIncrement(self, value: int) -> None:
        ...
    @property
    def LiveScroll(self) -> bool:
        """
        specifies the scrolling behavior of the control.
        
        TRUE means, that when the user moves the slider in the scroll bar, the content of the window is updated immediately. FALSE means, that the window is only updated after the user has released the mouse button.
        
        **since**
        
            OOo 2.0
        """
        ...
    @LiveScroll.setter
    def LiveScroll(self, value: bool) -> None:
        ...
    @property
    def Orientation(self) -> int:
        """
        specifies the ScrollBarOrientation of the control.
        """
        ...
    @Orientation.setter
    def Orientation(self, value: int) -> None:
        ...
    @property
    def Printable(self) -> bool:
        """
        specifies that the control will be printed with the document.
        """
        ...
    @Printable.setter
    def Printable(self, value: bool) -> None:
        ...
    @property
    def RepeatDelay(self) -> int:
        """
        specifies the mouse repeat delay, in milliseconds.
        
        When the user presses a mouse in a control area where this triggers an action (such as scrolling the scrollbar), then usual control implementations allow to repeatedly trigger this action, without the need to release the mouse button and to press it again. The delay between two such triggers is specified with this property.
        
        **since**
        
            OOo 2.0
        """
        ...
    @RepeatDelay.setter
    def RepeatDelay(self, value: int) -> None:
        ...
    @property
    def ScrollValue(self) -> int:
        """
        specifies the scroll value of the control.
        """
        ...
    @ScrollValue.setter
    def ScrollValue(self, value: int) -> None:
        ...
    @property
    def ScrollValueMax(self) -> int:
        """
        specifies the maximum scroll value of the control.
        """
        ...
    @ScrollValueMax.setter
    def ScrollValueMax(self, value: int) -> None:
        ...
    @property
    def ScrollValueMin(self) -> int:
        """
        specifies the minimum scroll value of the control.
        
        If this optional property is not present, clients of the component should assume a minimal scroll value of 0.
        """
        ...
    @ScrollValueMin.setter
    def ScrollValueMin(self, value: int) -> None:
        ...
    @property
    def SymbolColor(self) -> 'Color_68e908c5':
        """
        specifies the RGB color to be used when painting symbols which are part of the control's appearance, such as the arrow buttons.
        
        **since**
        
            OOo 2.0
        """
        ...
    @SymbolColor.setter
    def SymbolColor(self, value: 'Color_68e908c5') -> None:
        ...
    @property
    def Tabstop(self) -> bool:
        """
        specifies that the control can be reached with the TAB key.
        
        **since**
        
            OOo 2.0
        """
        ...
    @Tabstop.setter
    def Tabstop(self, value: bool) -> None:
        ...
    @property
    def VisibleSize(self) -> int:
        """
        specifies the visible size of the scroll bar.
        """
        ...
    @VisibleSize.setter
    def VisibleSize(self, value: int) -> None:
        ...

