# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.embed
import typing


class EmbedMisc:
    """
    Const

    The constant set contains flags describing miscellaneous characteristics of embedded objects.
    
    The constant values can be combined with \"or\" operation. The first 32 bits are reserved for MS values, they are added because this API is going to be used to embed MS OLE objects into OOo documents, so there should be a possibility to transfer all the possible MS flags to container. In case own specific values should be added those bits can not be used.

    See Also:
        `API EmbedMisc <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1embed_1_1EmbedMisc.html>`_
    """
    MS_EMBED_RECOMPOSEONRESIZE: int = ...
    """
    means that the object wish to regenerate view representation if it's view in the container is resized.
    """
    MS_EMBED_ONLYICONIC: int = ...
    """
    The object has no view representation except icon.
    """
    MS_EMBED_INSERTNOTREPLACE: int = ...
    """
    If the object is generated from a selection, the selection should not be removed, the object should be inserted beside the selection.
    """
    MS_EMBED_STATIC: int = ...
    """
    The object is a static object that contains only representation.
    """
    MS_EMBED_CANTLINKINSIDE: int = ...
    MS_EMBED_CANLINKBYOLE1: int = ...
    MS_EMBED_ISLINKOBJECT: int = ...
    MS_EMBED_INSIDEOUT: int = ...
    MS_EMBED_ACTIVATEWHENVISIBLE: int = ...
    MS_EMBED_RENDERINGISDEVICEINDEPENDENT: int = ...
    MS_EMBED_INVISIBLEATRUNTIME: int = ...
    MS_EMBED_ALWAYSRUN: int = ...
    MS_EMBED_ACTSLIKEBUTTON: int = ...
    MS_EMBED_ACTSLIKELABEL: int = ...
    MS_EMBED_NOUIACTIVATE: int = ...
    MS_EMBED_ALIGNABLE: int = ...
    MS_EMBED_SIMPLEFRAME: int = ...
    MS_EMBED_SETCLIENTSITEFIRST: int = ...
    MS_EMBED_IMEMODE: int = ...
    MS_EMBED_IGNOREACTIVATEWHENVISIBLE: int = ...
    MS_EMBED_WANTSTOMENUMERGE: int = ...
    MS_EMBED_SUPPORTSMULTILEVELUNDO: int = ...
    EMBED_ACTIVATEIMMEDIATELY: int = ...
    EMBED_NEVERRESIZE: int = ...
    EMBED_NEEDSSIZEONLOAD: int = ...
    """
    The object needs the size to be provided from the container after it is loaded to function in optimal way.
    """

