# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.rendering
import typing


class ColorComponentTag:
    """
    Const

    A collection of tags for the individual components of a color.
    
    Color components usually correspond to physical attributes like the amount of red colorant contained in an output color. This constant field enumerates the most common ones.
    
    **since**
    
        OOo 2.3

    See Also:
        `API ColorComponentTag <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1rendering_1_1ColorComponentTag.html>`_
    """
    DEVICE: int = ...
    """
    Unspecified device color value.
    """
    RGB_RED: int = ...
    """
    Red colorant from RGB color space.
    """
    RGB_GREEN: int = ...
    """
    Green colorant from RGB color space.
    """
    RGB_BLUE: int = ...
    """
    Blue colorant from RGB color space.
    """
    CMYK_CYAN: int = ...
    """
    Cyan colorant from CMYK color space.
    """
    CMYK_MAGENTA: int = ...
    """
    Magenta colorant from CMYK color space.
    """
    CMYK_YELLOW: int = ...
    """
    Yellow colorant from CMYK color space.
    """
    CMYK_BLACK: int = ...
    """
    Black colorant from CMYK color space.
    """
    CMYKOG_ORANGE: int = ...
    """
    Orange colorant from hexachrome color space.
    """
    CMYKOG_GREEN: int = ...
    """
    Green colorant from hexachrome color space.
    """
    SPOT: int = ...
    """
    Arbitrary extra spot color, e.g. Pantone.
    """
    INDEX: int = ...
    """
    Index into palette.
    """
    ALPHA: int = ...
    """
    Alpha channel.
    """
    GREY: int = ...
    """
    Grey value. Used for monochrome color spaces.
    """
    PREMULTIPLIED_ALPHA: int = ...
    """
    Premultiplied alpha channel.
    
    Note that this alpha format actually influences the other color components, in that their values are pre-multiplied with the alpha value.
    """
    CIEXYZ_X: int = ...
    """
    CieXYZ X value.
    """
    CIEXYZ_Y: int = ...
    """
    CieXYZ Y value.
    """
    CIEXYZ_Z: int = ...
    """
    CieXYZ Z value.
    """
    CIELAB_L: int = ...
    """
    CieLab L value.
    """
    CIELAB_A: int = ...
    """
    CieLab a value.
    """
    CIELAB_B: int = ...
    """
    CieLab b value.
    """
    HSV_H: int = ...
    """
    HSV H value.
    """
    HSV_S: int = ...
    """
    HSV S value.
    """
    HSV_V: int = ...
    """
    HSV V value.
    """
    HSL_H: int = ...
    """
    HSL H value.
    """
    HSL_S: int = ...
    """
    HSL S value.
    """
    HSL_L: int = ...
    """
    HSL L value.
    """
    YCBCR_Y: int = ...
    """
    YCbCr Y value.
    """
    YCBCR_CB: int = ...
    """
    YCbCr Cb value.
    """
    YCBCR_CR: int = ...
    """
    YCbCr Cr value.
    """

