# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.report
import typing


class Calculation:
    """
    Const

    Specifies how to calculate a value.

    See Also:
        `API Calculation <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1report_1_1Calculation.html>`_
    """
    NONE: int = ...
    """
    returns the average of a field.
    """
    AVERAGE: int = ...
    """
    returns the average of a field.
    """
    CORRELATION: int = ...
    """
    returns the correlation of two fields.
    """
    COUNT: int = ...
    """
    counts the number of values, from the field.
    """
    COVARIANCE: int = ...
    """
    returns the measure of the linear relation between paired variables.
    """
    DISTINCTCOUNT: int = ...
    """
    returns the number of none repeating values, from the field.
    """
    MAXIMUM: int = ...
    """
    returns the largest value from the field.
    """
    MEDIAN: int = ...
    """
    returns the middle value in a sequence of numeric values.
    """
    MINIMUM: int = ...
    """
    returns the smallest value from the field.
    """
    MODE: int = ...
    """
    returns the most frequently returning value from the field.
    """
    NTHLARGEST: int = ...
    """
    returns the Nth largest value from the field.
    """
    NTHMOSTFREQUENT: int = ...
    """
    returns the Nth most commonly occurring value from the field.
    """
    NTHSMALLEST: int = ...
    """
    returns the Nth smallest value from the field.
    """
    PERCENTAGE: int = ...
    """
    returns as a percentage of the grand total summary.
    """
    PERCENTILE: int = ...
    """
    returns the value for a specified percentile in a Number or Currency field.
    """
    POPSTANDARDDEVIATION: int = ...
    """
    returns how much each value in the field deviate from the mean or average value for that field.
    """
    POPVARIANCE: int = ...
    """
    returns the square of the standard deviation.
    """
    SAMPLESTANDARDDEVIATION: int = ...
    """
    returns the sample standard deviation for the field.
    """
    SAMPLEVARIANCE: int = ...
    """
    returns the sample variance for the field.
    """
    SUM: int = ...
    """
    returns the total of all the values for the field.
    """
    WEIGHTEDAVG: int = ...
    """
    returns the weighted average for the field.
    """

