# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.script
import typing


class FailReason:
    """
    Const

    These values specify the reason why a type conversion failed.

    See Also:
        `API FailReason <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1script_1_1FailReason.html>`_
    """
    OUT_OF_RANGE: int = ...
    """
    The given value does not fit in the range of the destination type.
    """
    IS_NOT_NUMBER: int = ...
    """
    The given value cannot be converted to a number.
    """
    IS_NOT_ENUM: int = ...
    """
    The given value cannot be converted to an enumeration.
    """
    IS_NOT_BOOL: int = ...
    """
    The given value cannot be converted to a boolean.
    """
    NO_SUCH_INTERFACE: int = ...
    """
    The given value is not an interface or cannot queried to the right interface.
    """
    SOURCE_IS_NO_DERIVED_TYPE: int = ...
    """
    The given value cannot be converted to right structure or exception type.
    """
    TYPE_NOT_SUPPORTED: int = ...
    """
    The type class of the given value is not supported.
    """
    INVALID: int = ...
    """
    The given value cannot be converted and none of the other reasons match.
    """
    NO_DEFAULT_AVAILABLE: int = ...
    """
    This value is deprecated.
    
    Do not use.
    """
    UNKNOWN: int = ...
    """
    This value is deprecated.
    
    Do not use.
    """

