# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.sdbcx
from .descriptor import Descriptor as Descriptor_a5200b3b

class ColumnDescriptor(Descriptor_a5200b3b):
    """
    Service Class

    describes the common properties of a database column.
    
    Could be used for the creation of a database columns within a table.

    See Also:
        `API ColumnDescriptor <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1sdbcx_1_1ColumnDescriptor.html>`_
    """
    @property
    def AutoIncrementCreation(self) -> str:
        """
        specifies how to create an auto-increment column.
        """
        ...
    @AutoIncrementCreation.setter
    def AutoIncrementCreation(self, value: str) -> None:
        ...
    @property
    def DefaultValue(self) -> str:
        """
        keeps a default value for a column, is provided as string.
        """
        ...
    @DefaultValue.setter
    def DefaultValue(self, value: str) -> None:
        ...
    @property
    def Description(self) -> str:
        """
        keeps a description of the object.
        """
        ...
    @Description.setter
    def Description(self, value: str) -> None:
        ...
    @property
    def IsAutoIncrement(self) -> bool:
        """
        indicates whether the column is automatically numbered, thus read-only.
        """
        ...
    @IsAutoIncrement.setter
    def IsAutoIncrement(self, value: bool) -> None:
        ...
    @property
    def IsNullable(self) -> int:
        """
        indicates the nullability of values in the designated column.
        """
        ...
    @IsNullable.setter
    def IsNullable(self, value: int) -> None:
        ...
    @property
    def IsRowVersion(self) -> bool:
        """
        indicates that the column contains some kind of time or date stamp used to track updates.
        """
        ...
    @IsRowVersion.setter
    def IsRowVersion(self, value: bool) -> None:
        ...
    @property
    def Precision(self) -> int:
        """
        gets a column's number of decimal digits.
        """
        ...
    @Precision.setter
    def Precision(self, value: int) -> None:
        ...
    @property
    def Scale(self) -> int:
        """
        gets a column's number of digits to right of the decimal point.
        """
        ...
    @Scale.setter
    def Scale(self, value: int) -> None:
        ...
    @property
    def Type(self) -> int:
        """
        is the com.sun.star.sdbc.DataType of the column.
        """
        ...
    @Type.setter
    def Type(self, value: int) -> None:
        ...
    @property
    def TypeName(self) -> str:
        """
        is the type name used by the database.
        
        If the column type is a user-defined type, then a fully-qualified type name is returned. May be empty.
        """
        ...
    @TypeName.setter
    def TypeName(self, value: str) -> None:
        ...

