# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text
import typing


class BibliographyDataField:
    """
    Const

    These values define parts of bibliographic data.
    
    They are used to create a bibliography in a text document.
    
    Depending on the type of the data some of the fields will usually be left empty.
    
    **since**
    
        LibreOffice 7.3

    See Also:
        `API BibliographyDataField <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text_1_1BibliographyDataField.html>`_
    """
    IDENTIFIER: int = ...
    """
    This field contains a unique identifier for the bibliographic data.
    """
    BIBILIOGRAPHIC_TYPE: int = ...
    """
    This field contains the type of the bibliographic reference.
    
    It is of the type BibliographyDataType.
    """
    ADDRESS: int = ...
    """
    This field contains the address of the publisher.
    """
    ANNOTE: int = ...
    """
    This field contains an annotation.
    """
    AUTHOR: int = ...
    """
    This field contains the name(s) of the author(s)
    """
    BOOKTITLE: int = ...
    """
    This field contains the title of the book.
    """
    CHAPTER: int = ...
    """
    This field contains the name or number of the chapter.
    """
    EDITION: int = ...
    """
    This field contains the number or name of the edition.
    """
    EDITOR: int = ...
    """
    This field contains the name(s) of the editor(s)
    """
    HOWPUBLISHED: int = ...
    """
    This field contains a description of the type of the publishing.
    """
    INSTITUTION: int = ...
    """
    This field contains the name of the institution where the publishing was created.
    """
    JOURNAL: int = ...
    """
    This field contains the name of the journal.
    """
    MONTH: int = ...
    """
    This field contains number or name of the month of the publishing.
    """
    NOTE: int = ...
    """
    This field contains a note.
    """
    NUMBER: int = ...
    """
    This field contains the number of the publishing.
    """
    ORGANIZATIONS: int = ...
    """
    This field contains the name of the organizations where the publishing was created.
    """
    PAGES: int = ...
    """
    This field contains the number(s) of the page(s) of the reference into a publishing.
    """
    PUBLISHER: int = ...
    """
    This field contains the name of the publisher.
    """
    SCHOOL: int = ...
    """
    This field contains the name of the university or school where the publishing was created.
    """
    SERIES: int = ...
    """
    This field contains the series of the publishing.
    """
    TITLE: int = ...
    """
    This field contains the title of the publishing.
    """
    REPORT_TYPE: int = ...
    """
    This field contains a description of the type of the report.
    """
    VOLUME: int = ...
    """
    This field contains the volume of the publishing.
    """
    YEAR: int = ...
    """
    This field contains the year when the publishing was created.
    """
    URL: int = ...
    """
    This field contains URL of the publishing.
    """
    CUSTOM1: int = ...
    """
    This field contains user defined data.
    """
    CUSTOM2: int = ...
    """
    This field contains user defined data.
    """
    CUSTOM3: int = ...
    """
    This field contains user defined data.
    """
    CUSTOM4: int = ...
    """
    This field contains user defined data.
    """
    CUSTOM5: int = ...
    """
    This field contains user defined data.
    """
    ISBN: int = ...
    """
    This field contains the ISBN data of the publishing.
    """
    LOCAL_URL: int = ...
    """
    This field contains a local copy of the publishing.
    
    **since**
    
        LibreOffice 7.3
    """

