# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text
import typing


class BibliographyDataType:
    """
    Const

    These values define the type of bibliographic data like book, journal, magazine, etc.

    See Also:
        `API BibliographyDataType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text_1_1BibliographyDataType.html>`_
    """
    ARTICLE: int = ...
    """
    An article from a journal or magazine.
    """
    BOOK: int = ...
    """
    A book with an explicit publisher.
    """
    BOOKLET: int = ...
    """
    A work that is printed and bound, but without a named publisher or sponsoring institution.
    """
    CONFERENCE: int = ...
    """
    An article in the proceedings of a conference.
    
    This entry is identical to the \"inproceedings\" entry and is included for compatibility with BiBTex.
    """
    INBOOK: int = ...
    """
    A part of a book, which may be a chapter and/or a range of pages.
    """
    INCOLLECTION: int = ...
    """
    A part of a book with its own title.
    """
    INPROCEEDINGS: int = ...
    """
    An article in the proceedings of a conference.
    """
    JOURNAL: int = ...
    """
    A journal or magazine.
    """
    MANUAL: int = ...
    """
    Technical documentation.
    """
    MASTERSTHESIS: int = ...
    """
    A Master's thesis.
    """
    MISC: int = ...
    """
    This type is used when nothing else seems appropriate.
    """
    PHDTHESIS: int = ...
    """
    A PhD thesis.
    """
    PROCEEDINGS: int = ...
    """
    The proceedings of a conference.
    """
    TECHREPORT: int = ...
    """
    A report published by a school or other institution, usually numbered within a series.
    """
    UNPUBLISHED: int = ...
    """
    A document with an author and title, but not formally published.
    """
    EMAIL: int = ...
    """
    An eMail document.
    """
    WWW: int = ...
    """
    A Web document.
    """
    CUSTOM1: int = ...
    """
    A user defined document type.
    """
    CUSTOM2: int = ...
    """
    A user defined document type.
    """
    CUSTOM3: int = ...
    """
    A user defined document type.
    """
    CUSTOM4: int = ...
    """
    A user defined document type.
    """
    CUSTOM5: int = ...
    """
    A user defined document type.
    """

