# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text
import typing
from .base_index import BaseIndex as BaseIndex_8f0d0a40
if typing.TYPE_CHECKING:
    from ..container.x_index_replace import XIndexReplace as XIndexReplace_feed0dd7

class ContentIndex(BaseIndex_8f0d0a40):
    """
    Service Class

    specifies service of content indexes within a document.

    See Also:
        `API ContentIndex <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1text_1_1ContentIndex.html>`_
    """
    @property
    def CreateFromMarks(self) -> bool:
        """
        contains TRUE if the document index marks are included in this index.
        """
        ...
    @CreateFromMarks.setter
    def CreateFromMarks(self, value: bool) -> None:
        ...
    @property
    def CreateFromOutline(self) -> bool:
        """
        determines if the document index is created from outlines.
        """
        ...
    @CreateFromOutline.setter
    def CreateFromOutline(self, value: bool) -> None:
        ...
    @property
    def Level(self) -> int:
        """
        determines the depth of outline levels that are included into the content index.
        """
        ...
    @Level.setter
    def Level(self, value: int) -> None:
        ...
    @property
    def LevelParagraphStyles(self) -> 'XIndexReplace_feed0dd7':
        """
        contains the interface to access the paragraph style names that are included in this index.
        """
        ...
    @LevelParagraphStyles.setter
    def LevelParagraphStyles(self, value: 'XIndexReplace_feed0dd7') -> None:
        ...

