# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text
from ..util.sort_descriptor import SortDescriptor as SortDescriptor_ca680c8d

class TextSortDescriptor(SortDescriptor_ca680c8d):
    """
    Service Class

    describes sort criteria for sorting text.
    
    .. deprecated::
    
        Class is deprecated.

    See Also:
        `API TextSortDescriptor <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1text_1_1TextSortDescriptor.html>`_
    """
    @property
    def Delimiter(self) -> str:
        """
        contains the character that marks the separation of columns.
        """
        ...
    @Delimiter.setter
    def Delimiter(self, value: str) -> None:
        ...
    @property
    def IsSortAscending0(self) -> bool:
        """
        determines if the sorting in the first search key is done in ascending or descending order.
        """
        ...
    @IsSortAscending0.setter
    def IsSortAscending0(self, value: bool) -> None:
        ...
    @property
    def IsSortAscending1(self) -> bool:
        """
        determines if the sorting in the second search key is done in ascending or descending order.
        """
        ...
    @IsSortAscending1.setter
    def IsSortAscending1(self, value: bool) -> None:
        ...
    @property
    def IsSortAscending2(self) -> bool:
        """
        determines if the sorting in the third search key is done in ascending or descending order.
        """
        ...
    @IsSortAscending2.setter
    def IsSortAscending2(self, value: bool) -> None:
        ...
    @property
    def IsSortInTable(self) -> bool:
        """
        determines if the content of a table is to be sorted.
        """
        ...
    @IsSortInTable.setter
    def IsSortInTable(self, value: bool) -> None:
        ...
    @property
    def IsSortNumeric0(self) -> bool:
        """
        determines if the sorting in the first search key is done numeric or alphanumeric order.
        """
        ...
    @IsSortNumeric0.setter
    def IsSortNumeric0(self, value: bool) -> None:
        ...
    @property
    def IsSortNumeric1(self) -> bool:
        """
        determines if the sorting in the second search key is done in numeric or alphanumeric order.
        """
        ...
    @IsSortNumeric1.setter
    def IsSortNumeric1(self, value: bool) -> None:
        ...
    @property
    def IsSortNumeric2(self) -> bool:
        """
        determines if the sorting in the third search key is done in numeric or alphanumeric order.
        """
        ...
    @IsSortNumeric2.setter
    def IsSortNumeric2(self, value: bool) -> None:
        ...
    @property
    def SortRowOrColumnNo0(self) -> int:
        """
        contains the row or column index used in the first search key.
        """
        ...
    @SortRowOrColumnNo0.setter
    def SortRowOrColumnNo0(self, value: int) -> None:
        ...
    @property
    def SortRowOrColumnNo1(self) -> int:
        """
        contains the row or column index used in the second search key.
        """
        ...
    @SortRowOrColumnNo1.setter
    def SortRowOrColumnNo1(self, value: int) -> None:
        ...
    @property
    def SortRowOrColumnNo2(self) -> int:
        """
        contains the row or column index used in the third search key.
        """
        ...
    @SortRowOrColumnNo2.setter
    def SortRowOrColumnNo2(self, value: int) -> None:
        ...

