# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text
import typing

from ..uno.x_interface import XInterface as XInterface_8f010a43
if typing.TYPE_CHECKING:
    from .x_text_range import XTextRange as XTextRange_9a910ab7


class XTextRangeMover(XInterface_8f010a43):
    """
    makes it possible to move a text range (e.g.
    
    a paragraph by itself) within this text.
    
    The movement is specified by the number of paragraphs within the order of paragraphs.

    See Also:
        `API XTextRangeMover <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1text_1_1XTextRangeMover.html>`_
    """
    __pyunointerface__: str = 'com.sun.star.text.XTextRangeMover'

    def moveTextRange(self, xRange: 'XTextRange_9a910ab7', nParagraphs: int) -> None:
        """
        moves the contents to which xRange refers forward or backward.
        """
        ...


